%define upstream_name    Dist-Zilla-Plugin-Git
%define upstream_version 2.051

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Commit dist.ini and changelog
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta::Check) >= 0.11.0
BuildRequires: perl(CPAN::Meta::Requirements)
BuildRequires: perl(Cwd)
BuildRequires: perl(DateTime)
BuildRequires: perl(Dist::Zilla) >= 4.0.0
BuildRequires: perl(Dist::Zilla::File::InMemory)
BuildRequires: perl(Dist::Zilla::Plugin::Config::Git)
BuildRequires: perl(Dist::Zilla::Plugin::GatherDir) >= 4.200.16
BuildRequires: perl(Dist::Zilla::Role::AfterBuild)
BuildRequires: perl(Dist::Zilla::Role::AfterMint)
BuildRequires: perl(Dist::Zilla::Role::AfterRelease)
BuildRequires: perl(Dist::Zilla::Role::BeforeRelease)
BuildRequires: perl(Dist::Zilla::Role::FilePruner)
BuildRequires: perl(Dist::Zilla::Role::GitConfig)
BuildRequires: perl(Dist::Zilla::Role::PluginBundle)
BuildRequires: perl(Dist::Zilla::Role::Releaser)
BuildRequires: perl(Dist::Zilla::Role::VersionProvider)
BuildRequires: perl(Dist::Zilla::Tester)
BuildRequires: perl(Encode)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Copy::Recursive)
BuildRequires: perl(File::Path) >= 2.70.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::Which)
BuildRequires: perl(File::chdir)
BuildRequires: perl(File::pushd)
BuildRequires: perl(Git::Wrapper) >= 0.21.0
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(IPC::System::Simple)
BuildRequires: perl(List::Util) >= 1.450.0
BuildRequires: perl(Log::Dispatchouli)
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(MooseX::Has::Sugar)
BuildRequires: perl(Path::Tiny) >= 0.48.0
BuildRequires: perl(String::Formatter)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Text::ParseWords)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(Type::Utils)
BuildRequires: perl(Types::Path::Tiny)
BuildRequires: perl(Types::Standard)
BuildRequires: perl(Version::Next)
BuildRequires: perl(constant)
BuildRequires: perl(lib)
BuildRequires: perl(namespace::autoclean) >= 0.90.0
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(version) >= 0.800.0
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This set of plugins for the Dist::Zilla manpage can do interesting
things for module authors using git to track their work.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
if [[ -z $( git config --global user.name ) ]]
then
    git config --global user.email "you@example.com"
    git config --global user.name "Your Name"
fi
%make_build test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENCE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Jun 29 2025 umeabot <umeabot> 2.51.0-2.mga10
+ Revision: 2224391
- Mageia 10 Mass Rebuild

* Tue Jun 18 2024 tv <tv> 2.51.0-1.mga10
+ Revision: 2074940
- update to 2.051

* Mon Jan 01 2024 tv <tv> 2.49.0-1.mga10
+ Revision: 2025404
- update to 2.049

* Mon Mar 21 2022 umeabot <umeabot> 2.48.0-2.mga9
+ Revision: 1814741
- Mageia 9 Mass Rebuild

* Sat Jul 17 2021 tv <tv> 2.48.0-1.mga9
+ Revision: 1736367
- update to 2.048

* Mon Sep 14 2020 tv <tv> 2.47.0-1.mga8
+ Revision: 1626149
- update to 2.047

* Sat Feb 15 2020 umeabot <umeabot> 2.46.0-2.mga8
+ Revision: 1523978
- Mageia 8 Mass Rebuild

* Sun Mar 17 2019 tv <tv> 2.46.0-1.mga7
+ Revision: 1378469
- update to 2.046

* Thu Sep 20 2018 umeabot <umeabot> 2.45.0-2.mga7
+ Revision: 1283011
- Mageia 7 Mass Rebuild

* Mon Jun 04 2018 tv <tv> 2.45.0-1.mga7
+ Revision: 1234585
- update to 2.045

* Sun Jun 03 2018 tv <tv> 2.44.0-1.mga7
+ Revision: 1234307
- update to 2.044

* Sun Dec 10 2017 tv <tv> 2.43.0-1.mga7
+ Revision: 1181937
- update to 2.043

* Mon Oct 02 2017 tv <tv> 2.42.0-2.mga7
+ Revision: 1164189
- rebuild with fixed rpm for missing autodeps

* Sat Sep 23 2017 sander85 <sander85> 2.42.0-1.mga7
+ Revision: 1158023
- update to 2.042

* Sun Jun 19 2016 pterjan <pterjan> 2.36.0-3.mga6
+ Revision: 1026205
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 2.36.0-2.mga6
+ Revision: 968344
- Mageia 6 Mass Rebuild

* Mon Jul 06 2015 sander85 <sander85> 2.36.0-1.mga6
+ Revision: 852066
- update to 2.036

* Wed Jun 24 2015 shlomif <shlomif> 2.35.0-1.mga6
+ Revision: 842278
- New version 2.035

* Wed Oct 15 2014 umeabot <umeabot> 2.23.0-3.mga5
+ Revision: 739588
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sun Jun 15 2014 sander85 <sander85> 2.23.0-1.mga5
+ Revision: 636562
- update to 2.023

* Tue May 06 2014 jquelin <jquelin> 2.22.0-1.mga5
+ Revision: 620624
- update to 2.022

* Tue Apr 15 2014 jquelin <jquelin> 2.21.0-1.mga5
+ Revision: 614763
- update to 2.021

* Mon Feb 17 2014 jquelin <jquelin> 2.20.0-1.mga5
+ Revision: 593588
- update to 2.020

* Sat Oct 19 2013 umeabot <umeabot> 2.14.0-2.mga4
+ Revision: 528708
- Mageia 4 Mass Rebuild

* Wed Jun 26 2013 jquelin <jquelin> 2.14.0-1.mga4
+ Revision: 446932
- update to 2.014

* Sun Jan 13 2013 umeabot <umeabot> 2.6.0-2.mga3
+ Revision: 366164
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 2.6.0-1.mga3
+ Revision: 342092
- update to 2.006

* Wed Nov 14 2012 jquelin <jquelin> 2.2.0-1.mga3
+ Revision: 317631
- update to 2.002

* Mon Oct 15 2012 jquelin <jquelin> 2.1.0-1.mga3
+ Revision: 306098
- update to 2.001

* Wed Oct 03 2012 jquelin <jquelin> 1.122.770-1.mga3
+ Revision: 302410
- update to 1.122770

* Mon Sep 10 2012 jquelin <jquelin> 1.122.530-1.mga3
+ Revision: 291671
- update to 1.122530

* Wed Jul 04 2012 jquelin <jquelin> 1.121.820-1.mga3
+ Revision: 267331
- update to 1.121820

* Tue Jun 05 2012 jquelin <jquelin> 1.121.10-1.mga3
+ Revision: 254884
- update to 1.121010

* Mon Mar 05 2012 jquelin <jquelin> 1.120.370-1.mga2
+ Revision: 218730
- update to 1.120370

* Wed Jan 04 2012 jquelin <jquelin> 1.113.560-1.mga2
+ Revision: 190301
- update to 1.113560

* Mon Dec 12 2011 jquelin <jquelin> 1.113.220-1.mga2
+ Revision: 180875
- update to 1.113220

* Mon Sep 26 2011 jquelin <jquelin> 1.112.510-1.mga2
+ Revision: 148071
- update to 1.112510
- update to 1.112380
- update to 1.112070
- update to 1.112060

* Wed Jun 15 2011 jquelin <jquelin> 1.111.590-1.mga2
+ Revision: 106855
- update to 1.111590
- do not override global git config unless needed

* Thu Feb 24 2011 jquelin <jquelin> 1.110.500-1.mga1
+ Revision: 58899
- update to 1.110500

* Wed Jan 26 2011 jquelin <jquelin> 1.102.810-1.mga1
+ Revision: 40677
- adding git config to make test pass
- adding missing buildrequires:
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-Git

